1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

XF 1.2 1.2.0 RC2 to 1.2.0 Final - Install.php?upgrade says I'm current at RC2

Discussion in 'Installation, Upgrade, and Import Support' started by dvsDave, Jul 30, 2013.

  1. dvsDave

    dvsDave Well-Known Member

    I uploaded everything in the 1.2.0 Final upgrade package, then went to the xenforo/install page and logged in with my administrator account. It claims I'm already current at 1.2.0 RC 2.

    I reuploaded everything just to make sure I didn't miss anything, and same message.
     
  2. Mike

    Mike XenForo Developer Staff Member

    At the risk of sounding curt, the files weren't uploaded correctly then. Double check that you're actually overwriting the existing files.
     
  3. Brogan

    Brogan XenForo Moderator Staff Member

    Sounds like you have either uploaded the wrong files or to the wrong location.
     
  4. dvsDave

    dvsDave Well-Known Member

    Found it. Library directory had failed to upload. Fixed and working fine.
     
  5. Degrinch

    Degrinch Active Member

    "You are already running the current version (1.2.0 Release Candidate 1). To do a fresh install," I downloaded the most recent release. Ran the install, and this is what I get. What am I missing?
     
  6. Brogan

    Brogan XenForo Moderator Staff Member

    You haven't uploaded the files to the correct location.
     
  7. dvsDave

    dvsDave Well-Known Member

    Reupload everything, you probably missed a directory of stuff... just like I did.

    (suggestion for the upgrade process @Mike , is it possible to run a file integrity check when this occurs so people could see what files they might be missing?)
     
  8. Mike

    Mike XenForo Developer Staff Member

    It actually does this already (well, it tells you if particular files are missing), but if the entire set of files (or the entire library/ at least) haven't been uploaded, there's no way to know.
     
  9. dvsDave

    dvsDave Well-Known Member

    Fair Enough!
     
  10. Degrinch

    Degrinch Active Member

    If I am running 1.1.3 do I want to download, and install the complete release for 1.2.0 and do the upgrade to 1.2.0, or do I only need the upgrade package to go from 1.1.3 to 1.2.0 RC2?
     
  11. Brogan

    Brogan XenForo Moderator Staff Member

    Only ever use the upgrade .zip if upgrading an existing installation.
     
  12. Degrinch

    Degrinch Active Member

    Ok. Lets try asking it this way:

    Does it matter which package is used to do the upgrade (full 1.2.0 or just the upgrade files for 1.2.0) IF the version being upgraded from is 1.1.3?
     
  13. Jeremy

    Jeremy XenForo Moderator Staff Member

    Yes, you should only ever use the upgrade package to upgrade an installation. The upgrade will step through any previous version as needed to get you to the version you uploaded.
     
  14. Brogan

    Brogan XenForo Moderator Staff Member

    Here are some examples to make it as clear as it can be:

    1.0.0 -> use 1.2.0 upgrade .zip
    1.0.4 -> use 1.2.0 upgrade .zip
    1.1.0 -> use 1.2.0 upgrade .zip
    1.1.5 -> use 1.2.0 upgrade .zip

    To reiterate, only ever use the upgrade .zip if upgrading an existing installation.
     
    Chris D likes this.
  15. Degrinch

    Degrinch Active Member

    You are already running the current version (1.2.0). To do a fresh install,...." Having uploaded the upgrade package, and run the install script. I no longer have a RC attached to the current version title. Again... what am I missing here?
     
  16. Degrinch

    Degrinch Active Member

    Better yet, where do I get the 1.2.0 RC 2 other than the customer area? Perhaps I am downloading the wrong package? lol
     
  17. Brogan

    Brogan XenForo Moderator Staff Member

    Why do you want to download the RC 2 package?

    Download the 1.2.0 stable release - it defaults to that in the customer area.
     
    Divvens likes this.
  18. Jeremy

    Jeremy XenForo Moderator Staff Member

    If it is telling you that you are running 1.2 already, you have successfully upgraded from 1.1.3 and you should follow the upgrade guide to do some completion steps (templates, add-ons, etc.) to 'finish' the upgrade.
     
  19. Degrinch

    Degrinch Active Member

    OMG... FML... LMAO totally read this all wrong. It's been a long day. *walks out of the cyber-room feeling like a total retard...*
     

Share This Page